# ROFISH - ROS PACKAGE FOR ROBOTIC FISH
This ROS package controls two robotic fish (red and yellow) from two Logitech wireless Gamepad F710 controllers. The robotic fish are the Bionic Koi types from the Design Lab of the Peking University: [https://en.ibdl.pku.edu.cn/news/highlights/895537.htm](https://en.ibdl.pku.edu.cn/news/highlights/895537.htm)
The right joy-handle controls the speed of the fish by pushing the handle forward. The right joy-handle also steers the fish by pushing the handle to the left or right.

## Preparations
- The project assumes a correct working ROS Noetic setup and workspace environment
- Connect the two radios for the telemetry to the USB port
- Connect the two dongles of the Gamepad controllers to the USB port
- Turn on the red and the yellow robotic fish

## Launch the package
- start the roscore by typing 'roscore' in the terminal window.
- Open a new terminal and launch the ROS package by typing: `roslaunch rofish rofish_teleop_joy.launch`

## Diagnostics
Start the diagnostics in another terminal:

```
$ rostopic list
/diagnostics
/red/cmd_vel
/red/joy
/red/joy/set_feedback
/rosout
/rosout_agg
/yellow/cmd_vel
/yellow/joy
/yellow/joy/set_feedback

$ rosrun rqt_graph rqt_graph

```

Output from rqtgraph:
![rosgraph](rosgraph.png  "rosgraph")


Copyright University of Groningen, 2022
